Page MenuHomePhabricator

Installation of Pillow is failing on Python 3.3 builds of appveyor
Closed, ResolvedPublic

Description

https://ci.appveyor.com/project/Ladsgroup/pywikibot-g4xqx/build/1.0.22

Searching for Pillow
Reading https://pypi.python.org/simple/Pillow/
Downloading https://pypi.python.org/packages/0f/57/25be1a4c2d487942c3ed360f6eee7f41c5b9196a09ca71c54d1a33c968d9/Pillow-5.0.0.tar.gz#md5=08094bc48aae6877c94f8db4b8ee8e52
Best match: Pillow 5.0.0
Processing Pillow-5.0.0.tar.gz
Writing c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\setup.cfg
Running Pillow-5.0.0\setup.py -q bdist_egg --dist-dir c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\egg-dist-tmp-cvcyue
warning: no files found matching '*.c'
warning: no files found matching '*.h'
warning: no files found matching '*.sh'
no previously-included directories found matching 'docs\_static'
warning: no previously-included files found matching '.coveragerc'
warning: no previously-included files found matching 'codecov.yml'
warning: no previously-included files found matching '.editorconfig'
warning: no previously-included files found matching '.landscape.yaml'
warning: no previously-included files found matching '.travis'
warning: no previously-included files found matching '.travis\*'
warning: no previously-included files found matching 'appveyor.yml'
warning: no previously-included files found matching 'build_children.sh'
warning: no previously-included files found matching 'tox.ini'
warning: no previously-included files matching '.git*' found anywhere in distribution
warning: no previously-included files matching '*.pyc' found anywhere in distribution
warning: no previously-included files matching '*.so' found anywhere in distribution
Single threaded build for Windows
The headers or library files could not be found for zlib,
a required dependency when compiling Pillow from source.
Please see the install instructions at:
   https://pillow.readthedocs.io/en/latest/installation.html
Traceback (most recent call last):
  File "c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\setup.py", line 792, in <module>
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\__init__.py", line 129, in setup
    return distutils.core.setup(**attrs)
  File "c:\python330\Lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "c:\python330\Lib\distutils\dist.py", line 917, in run_commands
    self.run_command(cmd)
  File "c:\python330\Lib\distutils\dist.py", line 936, in run_command
    cmd_obj.run()
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\bdist_egg.py", line 170, in run
    cmd = self.call_command('install_lib', warn_dir=0)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\bdist_egg.py", line 156, in call_command
    self.run_command(cmdname)
  File "c:\python330\Lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "c:\python330\Lib\distutils\dist.py", line 936, in run_command
    cmd_obj.run()
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
    self.build()
  File "c:\python330\Lib\distutils\command\install_lib.py", line 107, in build
    self.run_command('build_ext')
  File "c:\python330\Lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "c:\python330\Lib\distutils\dist.py", line 936, in run_command
    cmd_obj.run()
  File "c:\python330\Lib\distutils\command\build_ext.py", line 347, in run
    self.build_extensions()
  File "c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\setup.py", line 580, in build_extensions
__main__.RequiredDependencyException: zlib
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\setup.py", line 804, in <module>
__main__.RequiredDependencyException: 
The headers or library files could not be found for zlib,
a required dependency when compiling Pillow from source.
Please see the install instructions at:
   https://pillow.readthedocs.io/en/latest/installation.html
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "setup.py", line 277, in <module>
    use_2to3=False
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\__init__.py", line 129, in setup
    return distutils.core.setup(**attrs)
  File "c:\python330\Lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "c:\python330\Lib\distutils\dist.py", line 917, in run_commands
    self.run_command(cmd)
  File "c:\python330\Lib\distutils\dist.py", line 936, in run_command
    cmd_obj.run()
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\test.py", line 214, in run
    installed_dists = self.install_dists(self.distribution)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\test.py", line 206, in install_dists
    tr_d = dist.fetch_build_eggs(dist.tests_require or [])
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\dist.py", line 461, in fetch_build_eggs
    replace_conflicting=True,
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\pkg_resources\__init__.py", line 866, in resolve
    replace_conflicting=replace_conflicting
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\pkg_resources\__init__.py", line 1146, in best_match
    return self.obtain(req, installer)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\pkg_resources\__init__.py", line 1158, in obtain
    return installer(requirement)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\dist.py", line 528, in fetch_build_egg
    return cmd.easy_install(req)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\easy_install.py", line 673, in easy_install
    return self.install_item(spec, dist.location, tmpdir, deps)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\easy_install.py", line 699, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\easy_install.py", line 882, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\easy_install.py", line 1150, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\command\easy_install.py", line 1136, in run_setup
    run_setup(setup_script, args)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 251, in run_setup
    except SystemExit as v:
  File "c:\python330\Lib\contextlib.py", line 66, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\python330\Lib\contextlib.py", line 66, in __exit__
    self.gen.throw(type, value, traceback)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\pkg_resources\_vendor\six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 154, in save_modules
    yield saved
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 195, in setup_context
    yield
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "c:\projects\pywikibot-g4xqx\env\lib\site-packages\setuptools\sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "c:\users\appveyor\appdata\local\temp\1\easy_install-fp44bn\Pillow-5.0.0\setup.py", line 804, in <module>
setuptools.sandbox.UnpickleableException: RequiredDependencyException('\n\nThe headers or library files could not be found for zlib,\na required dependency when compiling Pillow from source.\n\nPlease see the install instructions at:\n   https://pillow.readthedocs.io/en/latest/installation.html\n\n',)
Command exited with code 1

Details

Event Timeline

Dalba created this task.Jan 9 2018, 11:38 AM
Restricted Application added subscribers: pywikibot-bugs-list, jeblad, Aklapper. · View Herald TranscriptJan 9 2018, 11:38 AM
Dalba renamed this task from Installation of Pillow is failing for Python 3.3 builds on appveyor to Installation of Pillow is failing on Python 3.3 builds of appveyor.Jan 9 2018, 11:42 AM
Dalba updated the task description. (Show Details)

Change 403140 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Drop support for Python 3.3

https://gerrit.wikimedia.org/r/403140

Xqt added a subscriber: Xqt.Jan 9 2018, 4:40 PM

Can't Pillow 4.3.0 be installed for py3.3?

Dalba added a comment.EditedJan 10 2018, 12:49 AM

Can't Pillow 4.3.0 be installed for py3.3?

Maybe, but then there might be other failures. (T178969)
I think it's a waste of time, but you're welcome to try if you want to...

Xqt triaged this task as High priority.Jan 11 2018, 5:41 AM
Dalba claimed this task.Jan 11 2018, 9:17 AM

Change 403609 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Update requirements

https://gerrit.wikimedia.org/r/403609

Change 403609 merged by jenkins-bot:
[pywikibot/core@master] Update requirements

https://gerrit.wikimedia.org/r/403609

Dalba closed this task as Resolved.Jan 11 2018, 11:00 AM
238482n375 removed Dalba as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from High to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper assigned this task to Dalba.Jun 15 2018, 1:49 PM
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 1:49 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".